Subject: [bug#34824] [PATCH staging] libdrm/Mesa Meson patch series

From: Rutger Helling <[email-masked]>
Date: Mon, 18 Mar 2019 16:25:45 +0100

I think you're right! Changing mesa from a regular input to a
propogated one seems to have fixed all the issues for SDL. I no longer
need patches 3-6. See below for what we can use instead. Can I push the
patches now?

* gnu/packages/sdl.scm (sdl)[propogated-inputs]: Add mesa.
[inputs]: Remove mesa.
---
 gnu/packages/sdl.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/sdl.scm b/gnu/packages/sdl.scm
index 8d2a02437..e13958984 100644
--- a/gnu/packages/sdl.scm
+++ b/gnu/packages/sdl.scm
@@ -87,10 +87,10 @@
     (propagated-inputs
      ;; SDL headers include X11 headers.
      `(("libx11" ,libx11)
-       ("libcap" ,libcap))) ; 'libSDL.la' contain `-lcap'.
+       ("libcap" ,libcap) ; 'libSDL.la' contain `-lcap'.
+       ("mesa" ,mesa)))
     (native-inputs `(("pkg-config" ,pkg-config)))
     (inputs `(("libxrandr" ,libxrandr)
-              ("mesa" ,mesa)
               ("glu" ,glu)
               ("alsa-lib" ,alsa-lib)
               ("pulseaudio" ,pulseaudio)))
-- 
2.21.0

On Mon, 18 Mar 2019 15:17:27 +0100
Marius Bakke <[email-masked]> wrote:

> Rutger Helling <[email-masked]> writes:
> 
> > Hi Marius,
> >
> > thanks for the review.
> >
> > So when I rebuilt my entire system a while back with these patches
> > it was only those few SDL packages that were affected.
> > Unfortunately I have no way of knowing for sure if it won't happen
> > anywhere else, but it does seem to be something contained to just
> > SDL(1).
> >
> > The packages fail with the following error if "mesa" isn't an
> > explicit input:
> >
> > ld: cannot find -lGL
> > collect2: error: ld returned 1 exit status
> >
> > WDYT? Should I go ahead and push these patches or do you have other
> > ideas?  
> 
> Well, we still don't know why -lGL is suddenly there.  Did you inspect
> the pkg-config files or sdl-config output to figure out why?
> 
> I suspect Mesa should be propagated somewhere, instead of added as an
> input in a bunch of places.

From b46743817e2bd5d1a8bd266f3b5ad27799468a87 Mon Sep 17 00:00:00 2001
From: Rutger Helling <[email-masked]>
Date: Mon, 18 Mar 2019 16:11:41 +0100
Subject: [PATCH] gnu: sdl: Propogate mesa input.

* gnu/packages/sdl.scm (sdl)[propogated-inputs]: Add mesa.
[inputs]: Remove mesa.
---
 gnu/packages/sdl.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/sdl.scm b/gnu/packages/sdl.scm
index 8d2a02437..e13958984 100644
--- a/gnu/packages/sdl.scm
+++ b/gnu/packages/sdl.scm
@@ -87,10 +87,10 @@
     (propagated-inputs
      ;; SDL headers include X11 headers.
      `(("libx11" ,libx11)
-       ("libcap" ,libcap))) ; 'libSDL.la' contain `-lcap'.
+       ("libcap" ,libcap) ; 'libSDL.la' contain `-lcap'.
+       ("mesa" ,mesa)))
     (native-inputs `(("pkg-config" ,pkg-config)))
     (inputs `(("libxrandr" ,libxrandr)
-              ("mesa" ,mesa)
               ("glu" ,glu)
               ("alsa-lib" ,alsa-lib)
               ("pulseaudio" ,pulseaudio)))
-- 
2.21.0